#include < Adafruit_NeoPixel.h>

  #define LED_PIN     5   // Define the pin connected to the NeoPixel
  #define LED_COUNT   1   // Define the number of NeoPixels in the chain
  
  Adafruit_NeoPixel strip(LED_COUNT, LED_PIN, NEO_GRB + NEO_KHZ800);
  
  void setup() {
    // Initialize NeoPixel strip
    strip.begin();
    strip.show();  // Initialize all pixels to 'off'
  }
  
  void loop() {
    colorCycle(10);  // Speed of color cycling (adjust as needed)
  }
  
  // Function to cycle through colors
  void colorCycle(uint8_t wait) {
    uint16_t i;
    
    for(i = 0; i < 256; i++) {
      // Set NeoPixel color
      strip.setPixelColor(0, Wheel((i) & 255));
      strip.show();
      delay(wait);  // Wait between colors
    }
  }
  
  // Input a value 0 to 255 to get a color value
  // The colors are a transition r - g - b - back to r
  uint32_t Wheel(byte WheelPos) {
    if(WheelPos < 85) {
      return strip.Color(WheelPos * 3, 255 - WheelPos * 3, 0);
    } else if(WheelPos < 170) {
      WheelPos -= 85;
      return strip.Color(255 - WheelPos * 3, 0, WheelPos * 3);
    } else {
      WheelPos -= 170;
      return strip.Color(0, WheelPos * 3, 255 - WheelPos * 3);
    }
  }